Subject: [PATCH v3 09/11] KVM: arm/arm64: merge GICv3 RD_base and SGI_base register frames

From: [email-masked] (Marc Zyngier)
Date: Thu, 26 Mar 2015 21:53:08 +0000

On Thu, 26 Mar 2015 14:39:36 +0000
Andre Przywara <[email-masked]> wrote:

> Currently we handle the redistributor registers in two separate MMIO
> regions, one for the overall behaviour and SPIs and one for the
> SGIs/PPIs. That latter forces the creation of _two_ KVM I/O bus
> devices for each redistributor.
> Since the spec mandates those two pages to be contigious, we could as
> well merge them and save the churn with the second KVM I/O bus device.
> 
> Signed-off-by: Andre Przywara <[email-masked]>

I wonder why we didn't have it that way the first place...

Reviewed-by: Marc Zyngier <[email-masked]>

	M.
-- 
Jazz is not dead. It just smells funny.